
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Step1数据系统技术(5.使用GZIP技术优化文件缓存) / iVAN</title>

    <meta name="description" content="Step1数据系统技术(5.使用GZIP技术优化文件缓存) 在上面的一篇,我们讲到了服务器端的缓存,我的地名信息系统有70万个页面,生成该页面的过程需要我从远程的数据库加载5个SQL数据返回的内容,还有RSS格式的新闻,因此生成一个页面是很困难的,因此我使用了服务端缓存技术使性能获得了大幅的提升,不过,又遇到了新的关于硬盘空间和流量的问题. 网站的70万个地名当然不会一天之内都会被访问,不过我的网站该栏目日访问量大约为30000,考虑到重复的访问,假设只访问了10000个地名(实际上是不只的,因为地名的访问很零散),那就是会有10000个缓存文件被生成,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Step1数据系统技术(5.使用GZIP技术优化文件缓存)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在上面的一篇,我们讲到了服务器端的缓存,我的地名信息系统有70万个页面,生成该页面的过程需要我从远程的数据库加载5个SQL数据返回的内容，还有RSS格式的新闻，因此生成一个页面是很困难的，因此我使用了服务端缓存技术使性能获得了大幅的提升，不过，又遇到了新的关于硬盘空间和流量的问题。</p>
<p>网站的70万个地名当然不会一天之内都会被访问，不过我的网站该栏目日访问量大约为30000，考虑到重复的访问，假设只访问了10000个地名（实际上是不只的，因为地名的访问很零散），那就是会有10000个缓存文件被生成，假设每个文件只有10K(实际上也不只这么大)，合起来第一天就会产生100M的缓存(实际上我的网站第一天就有300M)，之后每天还是以50M的速度增加，而我的网站空间一共只有600M，我有一次10天没有关注网站，结果因为硬盘空间站用到达2G而被万网关闭了。</p>
<p>还有就是随着访问量的增大，网站流量也很大，一个月第8天就将万网限制的50G流量用到了20G，而网站访问量还在上涨。</p>
<p>在这个时候，我想到了GZIP。</p>
<p>GZIP是一个将压缩技术使用到HTTP上的技术，说起来很简单，就是让服务器将文件内容压缩并发给浏览器，浏览器接受之后先解压再用来解析，在这种情况下，节省网络流量开支，浏览器传送的文本是很多的，而文本压缩通常都可以到原来文件的20%，而且GZIP技术目前主流的浏览器都是支持的，这是一个通过消耗服务器性能来节省流量的模式。</p>
<p>不过在我的使用之中，并没有消耗服务器性能，而直接节省流量，因为我在使用的时候，文件在缓存的时候就直接使用GZIP格式来存放了，因此在客户端请求该文件的时候，我不需要先压缩再传送，而是直接传送，相对来讲，甚至还提高了服务器的性能。</p>
<p>我使用的时候，在缓存文件生成的时候，将文本直接压缩为GZIP格式来保存，这样的话，我的缓存文件大小由原来的15K左右变为2-3K，大大的节省了网站的空间，当用户访问该文件的时候，我进行判断，如果浏览器是支持GZIP的，我就直接将缓存文件的字节流返回到浏览器，如果浏览器不支持(这种可能性相当低)，我反而需要将该文件解压，将解压后的字节流返回到客户端。</p>
<p>以上可以看出，我确实节省了网站的空间和流量，而且因为现在的浏览器95%以上(保守估计，因为我没有听说哪个不支持)都是支持GZIP的，实际上网站的服务端性能反而有提升，这叫有百利而五一害。</p>
<p>如何判断浏览器是否支持GZIP呢？浏览器在发送HTTP请求的时候，会有一个HEAD字段叫Accept-Encoding，代表浏览器支持的返回编码格式，通常为以下值(deflate代表明文)：</p>
<p><code>Accept-Encoding: gzip, deflate</code></p>
<p>浏览器又如何判断服务端返回的数据是明文还是GZIP格式的呢？也是通过服务端的HEAD字段，例如：</p>
<p><code>Content-Encoding: gzip</code></p>
<p>如果该值不是GZIP,则代表为明文，而且，该字段同时也可能代表文本文件的编码，例如utf-8</p>
<p>以下是我具体使用GZIP的做法，首先是缓存的写入过程：</p>
<p><code>FileStream fileStream=File.Create(path);//创建缓存文件<br />
Stream writer=new GZipOutputStream(fileStream);//将缓存文件流使用GZIP来写入<br />
XsltArgumentList list=new XsltArgumentList();//我的网站是使用XML+XSLT来生成页面的<br />
xslt.Transform(xml,list,writer,null);//将XSLT生成的内容传递到GZIP压缩程序<br />
writer.Close();//完成写入<br />
fileStream.Close();//关闭文件句秉</code></p>
<p>其次是读取缓存的过程：</p>
<p><code>if(acceptEncoding!=null &amp;&amp; acceptEncoding.IndexOf("gzip")&gt;=0)//通过请求的http head来判断是否支持GZIP<br />
{//如果支持GZIP,返回gzip格式<br />
　Response.AddHeader("Content-Encoding","gzip");//通知浏览器该文件是GZIP压缩过的文件<br />
　Response.TransmitFile(path);//直接将该文件返回<br />
}<br />
else<br />
{//返回明文格式，这种情况下我们要从ZIP文件之中解压缩出文件内容，不需要发送Content-Encoding Head，因为默认就是明文的<br />
　Stream reader=new GZipInputStream(File.OpenRead(path));//打开该文件<br />
　byte[] buffer=new byte[1024];//建立文件读取缓存<br />
　int p;<br />
　while((p=reader.Read(buffer,0,1024))&gt;0)//每次读取到相应的缓存就返回内容<br />
　{<br />
　　Response.OutputStream.Write(buffer,0,p);<br />
　　Response.Flush();<br />
　}<br />
}</code></p>
<p>以上就是我的实现全过程，因为我是使用XML+XSLT来实现页面的，因此使用该技术的时候显得很顺畅，而对于通过页面ASPX,JSP等技术来返回的用户可能就有一些麻烦了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 04:51:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81/" title="支持">支持</a>, <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%ab%99/" title="网站">网站</a>, <a href="https://www.iamivan.net/tag/gzip%e5%a4%a7%e6%96%87%e4%bb%b6/" title="gzip大文件">gzip大文件</a>, <a href="https://www.iamivan.net/tag/gzip/" title="gzip">gzip</a>, <a href="https://www.iamivan.net/tag/spring%c2%a0gzip/" title="spring&nbsp;gzip">spring&nbsp;gzip</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Step1数据系统技术(5.使用GZIP技术优化文件缓存)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4KONp.html" rel="bookmark">Step1数据系统技术&lpar;0&period;开篇介绍&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好久没有写文章了,前天写了一篇关于Google的介绍的文章,也只是随便的写一下,不过眼下我准备写一个系列文章,来介绍我在Step1网站开发上的一些心得和技术,包括相关的代码. 这一系列文章介绍的技术主要来自www.step1.cn的两个栏目地名信息系统和火车运行图,您最好先浏览一下这两个栏目,这样才能够更加了解我的设计思路. 在开始之前,我来简单的说明一下这两个系统的共同点,以让大家了解究竟什么样的系统更适合使用我介绍的技术. 第一,该系统必须有一套数据,而且数据的容量也要大一点,要不然使用这些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A9W7p.html" rel="bookmark">Step1数据系统技术&lpar;4&period;采用服务器端文件缓存&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前一章介绍了Cache和http状态码304的技术,这属于服务器端文件缓存,使用该技术可以灵活的将每一个用户访问服务器的次数和字节数减少到最低. 不过有这样一个问题存在,就是上面的缓存都是针对单个用户的,如果该用户通常在缓存时间内只访问该文件一次,是没有效果的,因此就算这个文件每天被再多的用户访问,也起不到缓存效果,而这种情况下需要使用服务端缓存. 使用服务端缓存的理由很多,我使用的主要理由是每个页面生成对服务器性能的要求过大,因为每个页面生成的过程序需要多次访问数据库,并有可能需要从别的来源获			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwx3nnb.html" rel="bookmark">秋色园QBlog技术原理解析：性能优化篇：access的并发极限及超级分库分散并发方案&lpar;十六&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上节回顾:   上节 秋色园QBlog技术原理解析:性能优化篇:数据库文章表分表及分库减压方案(十五) 中, 介绍了 秋色园QBlog 在性能优化方面,从技术的优化手段,开始步入数据库设计优化,并从数据的使用情况上进行了分析,从而将文章内容进行分离,得到新的分表,由于内容比较大,进而分了库,达到一种基础减压.   本节内容:   本节将介绍秋色园 QBlog 的Super分库方案,以及何以如此Super分库的原因.   描述说明:   在进行上了上节的分库方案后,虽然感觉一度秋色园QBlog的访			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My35Pkz.html" rel="bookmark">秋色园QBlog技术原理解析：性能优化篇：用户和文章计数器方案&lpar;十七&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上节概要:   上节 秋色园QBlog技术原理解析:性能优化篇:access的并发极限及分库分散并发方案(十六) 中, 介绍了 Access的并发上限,及从某种程度上 秋色园QBlog 针对并发上限进行了多个数据的划分,从而最大并发上限从64提升到64*N(个数据库),虽然总和的最大并发值是上升了,但是单个库的最大值并没有变化,或者说单个表的最大并发值没有发生变化,上限仍是64. 于是,对于频繁产生更新操作的访问计数器(用户表及文章表),是该进入优化的方案了.   本节概要:   本节将介绍秋色			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRNaXz.html" rel="bookmark">秋色园QBlog技术原理解析：性能优化篇：数据库文章表分表及分库减压方案&lpar;十五&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章回顾: 1: 秋色园QBlog技术原理解析:开篇:整体认识(一) --介绍整体文件夹和文件的作用 2: 秋色园QBlog技术原理解析:认识整站处理流程(二) --介绍秋色园业务处理流程 3: 秋色园QBlog技术原理解析:UrlRewrite之无后缀URL原理(三) --介绍如何实现无后缀URL 4: 秋色园QBlog技术原理解析:UrlRewrite之URL重定向体系(四) --介绍URL如何定位到处理程序 5: 秋色园QBlog技术原理解析:Module之页面基类设计(五) --介绍创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLZBLM.html" rel="bookmark">秋色园QBlog技术原理解析：性能优化篇：打印页面SQL，全局的SQL语句优化&lpar;十三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章回顾: 1: 秋色园QBlog技术原理解析:开篇:整体认识(一) --介绍整体文件夹和文件的作用 2: 秋色园QBlog技术原理解析:认识整站处理流程(二) --介绍秋色园业务处理流程 3: 秋色园QBlog技术原理解析:UrlRewrite之无后缀URL原理(三) --介绍如何实现无后缀URL 4: 秋色园QBlog技术原理解析:UrlRewrite之URL重定向体系(四) --介绍URL如何定位到处理程序 5: 秋色园QBlog技术原理解析:Module之页面基类设计(五) --介绍创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYd4y5b.html" rel="bookmark">【技术贴】360安全卫士优化关闭了光驱怎么打开</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[技术贴]360安全卫士优化关闭了光驱怎么打开 由于光驱实在是没啥用,360提示我可以通过关闭光驱来加快系统速度,我就毫不犹豫的大手一挥关闭了光驱的开机启动...后来,想起来,虚拟光驱也因为光驱没了也用不了了,就想着把光驱给开启了.但是找了好久都找不到在360哪里能够开启光驱服务..   今天吃完饭,发现,我的电脑--右键--设备管理器--找到你的打了叉号的dvd光驱,双击之,点击开启此设备,打开我的电脑,就看到了久违的光驱图标了!!  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrvow1M.html" rel="bookmark">通过页面SEO优化与外部技术SEO来分析关键词优化得好不好</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 当客户给我们一个网站,我们前期就得去分析关键词优化得好不好.一般情况下,我们看一个站点关键词优化得怎么样,主要通过以下几点::页面SEO优化与外部技术SEO来分析关键词优 当客户给我们一个网站,我们前期就得去分析关键词优化得好不好.一般情况下,我们看一个站点关键词优化得怎么样,主要通过以下几点::页面SEO优化与外部技术SEO来分析关键词优化得好不好: 一:页面SEO优化 1.站点的规模.结构,以及关键词定位 2.关键词密度 根据小张多年的seo经验,小张认为关键词密度在3%到7%比较合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArxYvp.html" rel="bookmark">78期：ATF走进清华，阿里技术天团畅谈技术梦想</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云周刊 本周要点 查看更多 ATF走进清华,阿里技术天团畅谈技术梦想 2016 ATF阿里技术论坛于4月15日在清华大学举办.阿里巴巴集团技术委员会主席王坚,阿里巴巴集团首席技术官(CTO)张建锋,阿里巴巴集团首席风险官(CRO)刘振飞,蚂蚁金服首席技术官(CTO)程立以及来自阿里巴巴集团各部门多位技术大咖齐聚一堂,与莘莘学子分享阿里的技术梦想,阅读详情. [活动实录]2016 阿里技术论坛(Alibaba Technology Forum) [直播回顾]&lt;阿里云RDS MySQL分支深度定制实			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnda2b.html" rel="bookmark" class="title">PHP中如何使用header发送头部信息</a>
					<div>
						在照彭武兴先生的&lt;PHP BIBLE&gt;中所述,header可以送出Status标头,如 header(&quot;Status: 404 Not Found&quot;); ?&gt; 就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKoZ5b.html" rel="bookmark" class="title">比较测试PHP&plus;MYSQL分页机制两种方案</a>
					<div>
						硬件环境:PIII550,128M,15.2G软件环境:Win98+Apache+Php4+MySql 方案一:  1.第一次查询时用Select count(1) from tab where co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLxxZp.html" rel="bookmark" class="title">通用 文件保存至数据库&comma;从数据库写入磁盘 程序代码</a>
					<div>
						程序|数据|数据库 通用 文件保存至数据库,从数据库写入磁盘 程序代码 ----20040809这几天我休假中,正好有时间继续编写mycodelibrary 1.5版,今天晚上刚好写到文件与数据库存入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwjkvz.html" rel="bookmark" class="title">Oracle恢复内部原理：各式各样的恢复特性</a>
					<div>
						10.1  并行恢复(v7.1) 并行恢复的目标是用计算和I/O的并行机制减少崩溃恢复.单实例恢复和介质恢复的时间.当多个磁盘上多个数据文件同时进行恢复时能有效的降低恢复时间. 10.1.1  并行恢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlREwDz.html" rel="bookmark" class="title">WPS演示中嵌入对象图层</a>
					<div>
						多媒体时代的电子文档.表格.演示,大量运用图片.图表.公式.声音.动画等嵌入式对象,在增添了作品的表现力的同时,也给作者的编辑工作带来了一定的难度.不过,您别急,WPS全新推出的校园版及在线升级过的抢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EkroM.html" rel="bookmark" class="title">家里没有路由器怎么设置wifi共享？</a>
					<div>
						相信很多家庭都安装有路由器来实现手机平板等移动设备的联网,但是没有路由器的情况下,或者路由器故障那么又该如何来共享wifi呢?下面小编就给大家讲一讲具体的方法步骤,希望对大家有所帮组. 1.如果是笔记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywWEkz.html" rel="bookmark" class="title">win8系统下IE11浏览器对某些网站不兼容的解决方法</a>
					<div>
						  说到XP系统中最让人骄傲的性能,估计非兼容性莫属了,这也是为什么很多人不愿舍弃XP系统的原因.这个性能一直延续到win7旗舰版,但是在win7旗舰版过度到win8的过程中,却因为兼容性的问题让人很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1gKdb.html" rel="bookmark" class="title">机器人也上云-创业团队的阿里云实践心得</a>
					<div>
						本文正在参加&quot;最佳上云实践&quot;评选,来给我们投票吧:https://yq.aliyun.com/activity/158(编号11) 机器人也上云 想到机器人,相信很多人会联想到斯瓦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NnVLM.html" rel="bookmark" class="title">CentOS创建mysql数据库定时备份压缩删除</a>
					<div>
						一个CentOS下的数据库备份脚本,自动压缩,删除7天前的内容 #!/bin/sh # Database info DB_NAME=&quot;whsir&quot; DB_USER=&quot;ro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwlLlM.html" rel="bookmark" class="title">查询边长数为4的图形并显示</a>
					<div>
						问题描述 查询边长数为4的图形并显示对所使用的新的接口下面的方法与属性详细介绍详细介绍实现过程采用工具形式运行在vba中实现给个代码!我是个菜鸟,老师要求的作业,大家帮帮忙,谢谢! 解决方案 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm3EmM.html" rel="bookmark" class="title">华硕针对高端推出旗舰级塔式服务器TS700-E6&sol;RS8</a>
					<div>
						英特尔Nehalem-EP新http://www.aliyun.com/zixun/aggregation/17728.html&quot;&gt;架构处理器的发布给业界注入了一针强心剂,基于这一革命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE45gAz.html" rel="bookmark" class="title">三星Galaxy S6怎么样？Galaxy S6手机功能与参数介绍</a>
					<div>
						手机外形 金属与玻璃的巧妙融合 金属边框使用高档的Al6013铝合金制作而成,结实稳固锻造坚毅品格.第四代康宁大猩猩玻璃用于正背两面,抗损性能值得信赖 领略色彩创意之妙 背板的流光溢彩源于新型色彩工艺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94eEKb.html" rel="bookmark" class="title">ant编译-ant打包release的apk总是失败</a>
					<div>
						问题描述 ant打包release的apk总是失败 BUILD FAILED 提示 build.xml:601:The following error occurred while executing ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm04Vb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;System&period;NullReferenceException&rdquo;类型的未经处理的异常</a>
					<div>
						问题描述 这个情况怎么处理啊是不是调用这边有问题?privatevoidbutton2_Click(objectsender,EventArgse){DataToExcel(dataGridView1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqnNyz.html" rel="bookmark" class="title">北京移动营业厅系统故障无法办理业务</a>
					<div>
						本报讯 (记者黄敬) 昨天一整天的办公时间里,北京移动的营业厅有大半时间无法办理业务,即使电话充值都会遇到障碍.工作人员称是系统升级.调试导致的.直至昨天下午4时,各营业厅业务办理才基本恢复正常. 昨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyy73z.html" rel="bookmark" class="title">JS动态调用方法名示例介绍&lowbar;javascript技巧</a>
					<div>
						先看看JS的一个函数 JavaScript eval() 函数 定义和用法 eval() 函数可计算某个字符串,并执行其中的的 JavaScript 代码. 语法 eval(string) 参数 描述 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw13mM.html" rel="bookmark" class="title">ffmpeg avpicture&lowbar;fill的一些使用</a>
					<div>
						  标签: ffmpegavpicture_fill 2013-05-17 10:03 4713人阅读 评论(1) 收藏 举报  分类: ffmpeg(3)  这个FFMPEG我没找到详细的中文教程, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLdAqM.html" rel="bookmark" class="title">数据结构与算法02 之栈与队列</a>
					<div>
						 我们知道,在数组中,若知道数据项的下标,便可立即访问该数据项,或者通过顺序搜索数据项,访问到数组中的各个数据项.但是栈和队列不同,它们的访问是受限制的,即在特定时刻只有一个数据项可以被读取或者被删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNJXqM.html" rel="bookmark" class="title">&lpar;asp&period;net &rpar; 如何将NET中的DATASET中的数据导出到access文件&quest;</a>
					<div>
						问题描述 如题,如何导成ACCESS格式的文件,有代码的兄弟姐妹们帮个忙,指点一下呀!(aso.net) 解决方案 解决方案二:aso.net?是不是ado.net?如果用ado.net,就选把acc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk5j8M.html" rel="bookmark" class="title">驱动程序调试方法之printk&mdash;&mdash;自制proc文件（二）</a>
					<div>
						上一节的程序很振奋人心,我们自己实现了一个myprintk打印函数.但是这个函数存在一个致命的缺陷,那就是只能使用一次cat /proc/mymsg命令来读取mylog_buf的值.这是因为读到最后会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq5dJp.html" rel="bookmark" class="title">安装完 myeclipse6&period;0&period;1后运行出现 一个错误，并提示我看日志文件，日志文件如下：  该怎么解决啊？？问题出在哪里？</a>
					<div>
						问题描述 !SESSION2010-04-1922:12:43.328-----------------------------------------------eclipse.buildId=M2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYQj3b.html" rel="bookmark" class="title">JavaScript类型系统之基本数据类型与包装类型&lowbar;javascript技巧</a>
					<div>
						写在前面的话 javascript的数据类型可以分为两种:原始类型和引用类型 原始类型也称为基本类型或简单类型,因为其占据空间固定,是简单的数据段,为了便于提升变量查询速度,将其存储在栈(stack) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYO2Ab.html" rel="bookmark" class="title">MongoDB中的一些坑（最好不要用）&lowbar;MongoDB</a>
					<div>
						MongoDB 是目前炙手可热的 NoSQL 文档型数据库,它提供的一些特性很棒:如自动 failover 机制,自动 sharding,无模式 schemaless,大部分情况下性能也很棒.但是薄荷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEvm1z.html" rel="bookmark" class="title">myeclipse 发布 测试-在项目里添加了junit测试类，发布的时候不想发布出去怎么处理？</a>
					<div>
						问题描述 在项目里添加了junit测试类,发布的时候不想发布出去怎么处理? 添加了源代码包testsrc,和src并列的,测试程序都在这个包下面 使用的是MyEclipse找到项目属性中有一个设置发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm504p.html" rel="bookmark" class="title">go语言中时间戳格式化的方法&lowbar;Golang</a>
					<div>
						本文实例讲述了go语言中时间戳格式化的方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: var t int64 = time.Now().Unix() var s string = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOD8Rz.html" rel="bookmark" class="title">HTML6 无 JavaScript 的单页应用引起一片哗然</a>
					<div>
						关于 HTML6 意在实现无 JavaScript 的单页应用,这引起了前端开发社区一片哗然.请深呼吸,然后继续下面内容. W3.org 分享了一个 casual proposal for HTML6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOaXVb.html" rel="bookmark" class="title">鉴于CSDN的板块等级显示方式改版，我决定删除自己的账号</a>
					<div>
						问题描述 由于CSDN的板块等级显示方式改版我决定离开CSDN,但是有的时候手贱会点进来我要修改密码,我进入http://www.guidgen.com/网站随机生成一个guid,然后修改密码将gui ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAQnVQM.html" rel="bookmark" class="title">环信定义的MBProgressHUD类和静态库中的MBProgressHUD类冲突了</a>
					<div>
						问题描述 我调试一个程序自带静态库中已经包含了MBProgressHUD类,而添加环信的同时也导入了环信处理过的MBProgressHUD类,编译报错说冲突了了.首先我无法删除静态库里面的MBProg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLXGxp.html" rel="bookmark" class="title">我在xcode里面设置好的各项内容并上传证书还是不推送》？</a>
					<div>
						问题描述 而且有时候会显示如下内容... 解决方案 这是您的配置有问题,还没有到环信.一般是profile文件问题,或者证书没有打开推送功能. 类似这个时候报的errorCode,可以百度解决.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OJK8b.html" rel="bookmark" class="title">书上的句话：&OpenCurlyDoubleQuote;当用户单击任何Button服务器控件时，都会将该页发送到服务器&period;&period;&period;&period;&period;&period;&rdquo;</a>
					<div>
						问题描述 书上有这么一句话:&quot;当用户单击任何Button服务器控件时,都会将该页发送到服务器--当用户单击按钮控件时,该页回发到服务器,默认情况下,该页回发到其自身&quot;问题一:确实是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
